#include <iostream>
using namespace std;
long long T,a,b;

int main() {
    cin >> T;
    for (int i=1; i<=T; i++){
        cin >> a>> b;
    }
    for (int i=1; i<=T; i++){
        cout << -1 << endl;
    }
    return 0;
}